/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package exchangeRateTable2;

import java.math.BigDecimal;
import java.util.Currency;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author petr
 */
public class CurrencyConvertorTest {

    public CurrencyConvertorTest() {
    }

    @BeforeClass
    public static void setUpClass() throws Exception {
    }

    @AfterClass
    public static void tearDownClass() throws Exception {
    }

    @Before
    public void setUp() {
    }

    @After
    public void tearDown() {
    }

    @Test
    public void testConvert() {

        ExchangeRateTable exchangeRateTable = new ExchangeRateTable() {

            public void setExchangeRate(Currency currency, BigDecimal exchangeRate) {
                throw new UnsupportedOperationException("Not supported yet.");
            }

            public BigDecimal getExchangeRate(Currency currency) {
                return BigDecimal.valueOf(28.2);
            }
        };

        CurrencyConvertor convertor = new CurrencyConvertor(exchangeRateTable);
        Currency czk = Currency.getInstance("CZK");
        BigDecimal actualResult = convertor.convert(czk, BigDecimal.valueOf(10));
        BigDecimal expectedResult = BigDecimal.valueOf(282.0);

        assertEquals(expectedResult, actualResult);

    }

}